/**
Copyright 2013 Luciano Zu project Ardulink http://www.ardulink.org/

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

@author Luciano Zu
*/

package org.zu.ardulink.coordinationtest;

import org.zu.ardulink.Link;
import org.zu.ardulink.connection.usb.DigisparkUSBConnection;
import org.zu.ardulink.protocol.ALProtocol;

public class Coordinate1 {

	public static void main(String[] args) {

		Link linkArduinoUNO = Link.createInstance("arduinoUNO");
		Link linkArduinoMicro = Link.createInstance("linkArduinoMicro");
		Link linkDigispark = Link.createInstance("digispark", new DigisparkUSBConnection());
		
		String portNameArduinoUNO = linkArduinoUNO.getPortList().get(0);
		String portNameArduinoMicro = linkArduinoMicro.getPortList().get(1);
		String portNameDigispark = linkDigispark.getPortList().get(0);
		
		linkArduinoUNO.connect(portNameArduinoUNO);
		linkArduinoMicro.connect(portNameArduinoMicro);
		linkDigispark.connect(portNameDigispark);

		// Wait a while to allow board's initiation
		
		while(true) {
			blink(linkArduinoUNO, 11);
			blink(linkArduinoUNO, 10);
			blink(linkArduinoUNO, 9);
			blink(linkArduinoUNO, 6);

			blink(linkArduinoMicro, 6);
			blink(linkArduinoMicro, 9);
			blink(linkArduinoMicro, 10);
			blink(linkArduinoMicro, 11);
			
			blink(linkDigispark, 0);
			blink(linkDigispark, 1);
		}
		
//		linkArduinoUNO.disconnect();
//		linkArduinoMicro.disconnect();
//		linkDigispark.disconnect();
	}

	private static void blink(Link link, int pin) {
		link.sendPowerPinSwitch(pin, ALProtocol.POWER_HIGH);
		sleep(500);
		link.sendPowerPinSwitch(pin, ALProtocol.POWER_LOW);
	}

	private static void sleep(int millis) {
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

}
