/**
Copyright 2013 Luciano Zu project Ardulink http://www.ardulink.org/

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

@author Luciano Zu
*/

package org.zu.ardulink.coordinationtest;

import org.zu.ardulink.Link;
import org.zu.ardulink.protocol.ALProtocol;

public class Coordinate2 {

	public static void main(String[] args) {

		Link linkArduinoUNO = Link.createInstance("arduinoUNO");
		Link linkArduinoMicro = Link.createInstance("linkArduinoMicro");
		
		String portNameArduinoUNO = linkArduinoUNO.getPortList().get(0);
		String portNameArduinoMicro = linkArduinoMicro.getPortList().get(1);
		
		linkArduinoUNO.connect(portNameArduinoUNO);
		linkArduinoMicro.connect(portNameArduinoMicro);

		// Wait a while to allow board's initiation
		sleep(1000);
		while(true) {
			on(linkArduinoUNO, 11);
			on(linkArduinoMicro, 11);
			sleep(500);
			off(linkArduinoUNO, 11);
			off(linkArduinoMicro, 11);
			
			on(linkArduinoUNO, 10);
			on(linkArduinoMicro, 10);
			sleep(500);
			off(linkArduinoUNO, 10);
			off(linkArduinoMicro, 10);
			
			on(linkArduinoUNO, 9);
			on(linkArduinoMicro, 9);
			sleep(500);
			off(linkArduinoUNO, 9);
			off(linkArduinoMicro, 9);

			on(linkArduinoUNO, 6);
			on(linkArduinoMicro, 6);
			sleep(500);
			off(linkArduinoUNO, 6);
			off(linkArduinoMicro, 6);
		}
	}

	private static void on(Link link, int pin) {
		link.sendPowerPinSwitch(pin, ALProtocol.POWER_HIGH);
	}

	private static void off(Link link, int pin) {
		link.sendPowerPinSwitch(pin, ALProtocol.POWER_LOW);
	}

	private static void sleep(int millis) {
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

}
